SDK 2.9.0 音视频不兼容问题

SDK 2.9.0 音视频不兼容问题
发布时间: 2018-05-29 14:44

回答:

融云在 SDK 2.9.0 之后( 含 2.9.0)升级了音视频引擎库 ,新旧两个版本的引擎库不兼容

1  如果你是 2.9.0 之前就使用融云音视频的用户 请使用 2.8.32 (或以下)版本。

2 如果你是 2.9.0 开始使用的融云 SDK 并且开通使用的音视频服务,默认是开通新引擎。请使用 2.9.0 版本及以上的 SDK 版本以及音视频包

3 如果你代码中报 logcat 日志 getDevicesIMEI 的错误 请确认你的 SDK 版本 是否和  音视频库版本 以及 红包库版本匹配。


旧引擎 2.8.32 callkit calllib 下载地址:

http://downloads.rongcloud.cn/Rong_Cloud_Android_CallKit_SDK_v2_8_32_Stable.zip  

http://downloads.rongcloud.cn/Rong_Cloud_Android_CallLib_SDK_v2_8_32_Stable.zip  


如果混乱使用可能造成一些问题,请按照上述描述去选择自己的集成方式。